name: tm_app
description: "tender managment."
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: ^3.7.2

dependencies:
  flutter:
    sdk: flutter
  flutter_web_plugins:
    sdk: flutter

  cupertino_icons: ^1.0.8
  provider: ^6.1.5
  freezed: ^3.1.0
  freezed_annotation: ^3.1.0
  flutter_svg: ^2.2.0
  go_router: ^16.0.0
  logger: ^2.6.0
  dio: ^5.8.0+1
  shared_preferences: ^2.5.3
  json_annotation: ^4.8.1
  http: ^1.5.0
  intl: ^0.20.2
  flutter_launcher_icons: ^0.14.4
  toastification: ^3.0.3
  pinput: ^5.0.2
  path_provider: ^2.1.5
  dotted_border: ^3.1.0
  file_picker: ^10.3.3
  firebase_core: ^4.1.0
  firebase_messaging: ^16.0.1
  

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  flutter_gen_runner:
  build_runner: ^2.5.4
  go_router_builder: ^3.0.0
  json_serializable: ^6.7.1

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/pngs/app_logo.png"


flutter:

  uses-material-design: true

  assets:
    - assets/icons/
    - assets/svgs/
    - assets/pngs/
  
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/to/font-from-package
